Qt 5.8 | Qt 3D | C++ Classes | QAlphaCoverage

Qt 5.8.0 Reference Documentation

# QAlphaCoverage Class

(Qt3DRender::QAlphaCoverage)

Enable alpha-to-coverage multisampling mode More...

Header: | #include <QAlphaCoverage>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | AlphaCoverage
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Public Functions

| QAlphaCoverage(Qt3DCore::QNode *parent = nullptr)

- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Enable alpha-to-coverage multisampling mode

A Qt3DRender::QAlphaCoverage class enables alpha-to-coverage multisampling mode. When enabled, the fragment alpha value is used as a coverage for the sample and combined with fragment coverage value. Qt3DRender::QAlphaCoverage does nothing if multisampling is disabled. Alpha-to-coverage is most useful when order independent blending is required, for example when rendering leaves, grass and other rich vegetation.

See also Qt3DRender::QMultiSampleAntiAliasing.

## Member Function Documentation

### QAlphaCoverage::QAlphaCoverage(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QAlphaCoverage.